/****** Object:  StoredProcedure [dbo].[spImporttabelleAnlegen]    Script Date: 09.04.2018 15:05:11 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spImporttabelleAnlegen] 
AS
BEGIN
	SET NOCOUNT ON;
	
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[_tmpImport]') AND type in (N'U'))
DROP TABLE [dbo].[_tmpImport]

-- Insert statements for procedure here
CREATE TABLE _tmpImport (
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[inr] [nvarchar](3) NULL,
	[blz] [nvarchar](8) NULL,
	[bestandsdatum] [datetime] NULL,
	[kne] [float] NULL,
	[kne_identnr] [nvarchar](8) NULL,
	[kne_wv] [float] NULL,
	[kne_wv_verbnr] [float] NULL,
	[kne_berater] [nvarchar](7) NULL,
	[kne_beruf_branche] [nvarchar](30) NULL,
	[kne_gesamtkreditvolumen] [float] NULL,
	[kne_kreditvolumen_az01] [float] NULL,
	[kne_kreditvolumen_az2] [float] NULL,
	[kne_kreditvolumen_az5] [float] NULL,
	[kne_kreditvolumen_az6] [float] NULL,
	[kne_kreditvolumen_az7] [float] NULL,
	[kne_kreditvolumen_beteiligung] [float] NULL,
	[kne_kreditvolumen_derivate] [float] NULL,
	[kne_kreditvolumen_fw_kredite] [float] NULL,
	[kne_kreditvolumen_geldhandel] [float] NULL,
	[kne_kreditvolumen_so_az9] [float] NULL,
	[kne_kreditvolumen_wertpapiere] [float] NULL,
	[kne_kreditvolumen_wp_leihe] [float] NULL,
	[kne_kreditvolumen_akkreditive] [float] NULL,
	[kne_kreditvolumen_kommunal] [float] NULL,
	[kne_kreditvolumen_kreditkarten] [float] NULL,
	[kne_gesamtkreditvolumen_not] [float] NULL,
	[kne_meta_anteil_kreditvolumen] [float] NULL,
	[kne_meta_anteil_inanspruchnahme] [float] NULL,
	[kne_bewilligungsvolumen_neu] [float] NULL,
	[kn] [float] NULL,
	[kn_identnr] [nvarchar](8) NULL,
	[kn_name] [nvarchar](100) NULL,
	[kn_berater] [nvarchar](7) NULL,
	[kn_wv] [float] NULL,
	[kn_wv_verbnr] [float] NULL,
	[kn_beruf_branche] [nvarchar](30) NULL,
	[kn_wirtschaftszweig] [nvarchar](5) NULL,
	[kn_beruf] [nvarchar](3) NULL,
	[kn_strasse] [nvarchar](30) NULL,
	[kn_haus_nr] [nvarchar](10) NULL,
	[kn_post_erg] [nvarchar](30) NULL,
	[kn_postleit] [nvarchar](6) NULL,
	[kn_ort] [nvarchar](30) NULL,
	[kn_land] [nvarchar](30) NULL,
	[kn_ortskenn] [int] NULL,
	[kn_g_verb_s] [datetime] NULL,
	[kn_gbr_quote] [float] NULL,
	[kn_kundentyp] [nvarchar](3) NULL,
	[kn_o_rechts] [nvarchar](12) NULL,
	[kn_pers_art] [nvarchar](1) NULL,
	[kn_pers_unterart] [nvarchar](12) NULL,
	[kn_rechtl_s] [nvarchar](3) NULL,
	[kn_kz_organ] [nvarchar](2) NULL,
	[kn_kusydsgv] [nvarchar](8) NULL,
	[kn_org_bankgrp_ausl] [nvarchar](1) NULL,
	[kn_org_bankgrp_inl] [nvarchar](3) NULL,
	[kn_org_einlagen_ki_kz] [nvarchar](1) NULL,
	[kn_rating_methode] [nvarchar](2) NULL,
	[kn_rating_note] [nvarchar](8) NULL,
	[kn_rating_status] [nvarchar](2) NULL,
	[kn_rating_ueberschreibung] [nvarchar](1) NULL,
	[kn_rating_kennung_stp] [nvarchar](1) NULL,
	[kn_rating_datum] [datetime] NULL,
	[kn_kl_segment_1] [nvarchar](1) NULL,
	[kn_kl_segment_2] [nvarchar](1) NULL,
	[kn_kl_segment_3] [nvarchar](1) NULL,
	[kn_kl_segment_4] [nvarchar](1) NULL,
	[kn_kl_segment_5] [nvarchar](1) NULL,
	[kn_kl_segment_6] [nvarchar](1) NULL,
	[kn_kl_segment_7] [nvarchar](1) NULL,
	[kn_bonitaet] [nvarchar](3) NULL,
	[kn_risikoklasse] [nvarchar](3) NULL,
	[kn_saldo_umsatzlos] [float] NULL,
	[kn_kz_g_m_kred] [nvarchar](1) NULL,
	[kn_blankokreditvolumen_in] [float] NULL,
	[kn_blankokreditvolumen_wi] [float] NULL,
	[kn_personalkreditvolumen_in] [float] NULL,
	[kn_personalkreditvolumen_wi] [float] NULL,
	[kn_realkreditvolumen_in] [float] NULL,
	[kn_realkreditvolumen_wi] [float] NULL,
	[kn_kommunalkreditvolumen_in] [float] NULL,
	[kn_kommunalkreditvolumen_wi] [float] NULL,
	[kn_freier_anteil_in] [float] NULL,
	[kn_freier_anteil_wi] [float] NULL,
	[kn_wirt_anteil_in] [float] NULL,
	[kn_wirt_anteil_wi] [float] NULL,
	[kn_komp_anteil_in] [float] NULL,
	[kn_komp_anteil_wi] [float] NULL,
	[kn_gesamtkreditvolumen] [float] NULL,
	[kn_bewilligtes_darlehen_az6_neu] [float] NULL,
	[kn_ueberziehung_90] [float] NULL,
	[kn_gutschriftensumme_e_v] [float] NULL,
	[kn_meta_anteil_inanspruchnahme] [float] NULL,
	[kn_meta_anteil_kreditvolumen] [float] NULL,
	[kn_meta_anteil_ueberziehung] [float] NULL,
	[kn_kreditvolumen_derivate] [float] NULL,
	[kn_kreditvolumen_wertpapiere] [float] NULL,
	[kn_kreditvolumen_wp_leihe] [float] NULL,
	[kn_kreditvolumen_geldhandel] [float] NULL,
	[kn_kreditvolumen_fw_kredite] [float] NULL,
	[kn_kreditvolumen_akkreditive] [float] NULL,
	[kn_kreditvolumen_beteiligung] [float] NULL,
	[kn_kreditvolumen_so_az9] [float] NULL,
	[kn_kreditvolumen_kreditkarten] [float] NULL,
	[kn_kreditvolumen_az2] [float] NULL,
	[kn_passiv_az2_3_4_9] [float] NULL,
	[kn_passiv_depot] [float] NULL,
	[kn_bew_rahmen_le] [float] NULL,
	[kn_rueckgabenanzahl] [int] NULL,
	[kn_labile_sicherheiten] [float] NULL,
	[kn_sicherheiten_uebereignung] [float] NULL,
	[kn_zessionen] [float] NULL,
	[kn_buergschaften] [float] NULL,
	[kontonr] [nvarchar](255) NULL,
	[kto_kz_k_s] [nvarchar](1) NULL,
	[kto_geschaeftsart_depot_a] [nvarchar](3) NULL,
	[kto_skontronr] [nvarchar](50) NULL,
	[kto_kontobezeichnung_depot_a] [nvarchar](32) NULL,
	[kto_mahnstand] [nvarchar](1) NULL,
	[kto_gp_key] [nvarchar](1) NULL,
	[kto_gp_variante] [nvarchar](12) NULL,
	[kto_kontentyp] [nvarchar](12) NULL,
	[kto_kreditart] [nvarchar](3) NULL,
	[kto_datum_eroeffnung] [datetime] NULL,
	[kto_gesamtkreditvolumen] [float] NULL,
	[kto_saldo] [float] NULL,
	[kto_inanspruchnahme] [float] NULL,
	[kto_ueberziehung] [float] NULL,
	[kto_externer_kredit] [float] NULL,
	[kto_bewilligungs_datum] [datetime] NULL,
	[kto_befristung_datum] [datetime] NULL,
	[kto_interner_kredit] [float] NULL,
	[kto_interner_kredit_bis] [datetime] NULL,
	[kto_ueberziehung_genehmigt] [float] NULL,
	[kto_ueberziehung_genehmigt_bis] [datetime] NULL,
	[kto_ueberz_hoechste_quartal_1] [float] NULL,
	[kto_ueberz_hoechste_quartal_2] [float] NULL,
	[kto_ueberz_hoechste_quartal_3] [float] NULL,
	[kto_ueberz_hoechste_quartal_4] [float] NULL,
	[kto_ueberziehungstage] [float] NULL,
	[kto_ueberziehungsdatum_ab] [datetime] NULL,
	[kto_ueberziehung_m_ev] [float] NULL,
	[kto_ueberziehung_o_ev] [float] NULL,
	[kto_zinssatz] [float] NULL,
	[kto_ab_merkmal] [int] NULL,
	[kto_kz_notleidend] [nvarchar](1) NULL,
	[kto_mindestr] [nvarchar](1) NULL,
	[kto_kreditkartennummer] [nvarchar](255) NULL,
	[kto_offene_zusage] [float] NULL,
	[kto_bewilligtes_darlehen] [float] NULL,
	[kto_tilgung_3] [float] NULL,
	[kto_tilgung_4_12] [float] NULL,
	[kto_tilgung_13_60] [float] NULL,
	[kto_tilgung_61] [float] NULL,
	[kto_verzug_entgelt] [float] NULL,
	[kto_verzug_verzinslich] [float] NULL,
	[kto_verzug_unverzinslich] [float] NULL,
	[kto_vorauszahlung] [float] NULL,
	[kto_rueckgabenbetrag] [float] NULL,
	[kto_rueckgabenanzahl] [float] NULL,
	[kto_aval_art] [nvarchar](1) NULL,
	[kto_aval_einzelbe] [nvarchar](1) NULL,
	[kto_aval_rahmenkontonr] [float] NULL,
	[kto_avalkred_betrag] [float] NULL,
	[kto_meta_anteil_kreditvolumen] [float] NULL,
	[kto_meta_anteil_inanspruchnahme] [float] NULL,
	[kto_anzahl_sicherheiten] [int] NULL,
	[kto_summe_sicherheiten] [float] NULL,
	[kto_monatliche_Habenumsaetze] [float] NULL,
	[kto_habenumsatz_lfd_jahr] [float] NULL,
	[kto_habenumsatz_vorjahr] [float] NULL,
	[kto_haben_umsatz_vq_1] [float] NULL,
	[kto_haben_umsatz_vq_2] [float] NULL,
	[kto_haben_umsatz_vq_3] [float] NULL,
	[kto_haben_umsatz_vq_4] [float] NULL,
	[kto_verfuegung1] [nvarchar](2) NULL,
	[kto_verfuegung2] [nvarchar](2) NULL,
	[kto_verfuegung3] [nvarchar](2) NULL,
	[kto_verfuegung4] [nvarchar](2) NULL,
	[kto_verfuegung5] [nvarchar](2) NULL,
	[kto_sperr_be] [float] NULL,
	[kto_ewb_e] [float] NULL,
	[kto_ewb_e_datum] [datetime] NULL,
	[kto_ewb_e_jahr] [int] NULL,
	[kto_ewb_e_waehrung] [nvarchar](3) NULL,
	[kto_ewb_e_ermg_verf] [nvarchar](1) NULL,
	[kto_ewb_e_daten_ursprung] [nvarchar](1) NULL,
	[kto_ewb_e_btrg_janf] [float] NULL,
	[kto_ewb_e_btrg_man] [float] NULL,
	[kto_ewb_e_btrg_neu] [float] NULL,
	[kto_ewb_e_btrg_zugang] [float] NULL,
	[kto_ewb_e_btrg_blanko] [float] NULL,
	[kto_ewb_e_afls_btrg] [float] NULL,
	[kto_ewb_e_absg_ind_btrg] [float] NULL,
	[kto_ewb_e_absg_dir_btrg] [float] NULL,
	[kto_ewb_v] [float] NULL,
	[kto_ewb_v_datum] [datetime] NULL,
	[kto_ewb_v_jahr] [int] NULL,
	[kto_ewb_v_waehrung] [nvarchar](3) NULL,
	[kto_ewb_v_ermg_verf] [nvarchar](1) NULL,
	[kto_ewb_v_daten_ursprung] [nvarchar](1) NULL,
	[kto_ewb_v_btrg_janf] [float] NULL,
	[kto_ewb_v_btrg_man] [float] NULL,
	[kto_ewb_v_btrg_neu] [float] NULL,
	[kto_ewb_v_btrg_zugang] [float] NULL,
	[kto_ewb_v_btrg_blanko] [float] NULL,
	[kto_ewb_v_afls_btrg] [float] NULL,
	[kto_ewb_v_absg_ind_btrg] [float] NULL,
	[kto_ewb_v_absg_dir_btrg] [float] NULL,
	[kto_rk_betrag] [float] NULL,
	[kto_rk_offene_zusage] [float] NULL,
	[kto_rk_kz] [nvarchar](12) NULL,
	[kto_rk_ts] [nvarchar](26) NULL,
	[kn_verbund_art] [nvarchar](5) NULL,
	[kn_geko9513_gueltig_ab] [datetime] NULL,
	[KNE_GEWICHTETE_BONITAET] [nvarchar] (8) NULL, 
	[KN_WARN_1210] [nvarchar] (1) NULL, 
	[KN_WARN_1310] [nvarchar] (1) NULL, 
	[KN_WARN_1425] [nvarchar] (1) NULL, 
	[KN_WARN_1435] [nvarchar] (1) NULL, 
	[KN_WARN_1455] [nvarchar] (1) NULL, 
	[KN_WARN_1510] [nvarchar] (1) NULL, 
	[KN_WARN_1530] [nvarchar] (1) NULL, 
	[KN_WARN_7000] [nvarchar] (1) NULL, 
	[KN_WARN_7001] [nvarchar] (1) NULL, 
	[KN_WARN_7002] [nvarchar] (1) NULL, 
	[KN_WARN_7003] [nvarchar] (1) NULL, 
	[KN_WARN_7004] [nvarchar] (1) NULL, 
	[KN_WARN_7008] [nvarchar] (1) NULL, 
	[KN_WARN_7017] [nvarchar] (1) NULL, 
    [KN_WARN_7021] [nvarchar] (1) NULL, 
	[KN_WARN_7029] [nvarchar] (1) NULL, 
	[KN_WARN_7031] [nvarchar] (1) NULL, 
	[KN_KUSYDSGV20] [nvarchar] (15) NULL, 
	
	 CONSTRAINT [PK__tmpImport] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, 
ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO


ALTER PROCEDURE [dbo].[spImporttabelleTempAnlegen] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
IF OBJECT_ID('tempdb..##Import') IS NOT NULL DROP TABLE ##Import

CREATE TABLE ##Import (
	[ID] [int] NOT NULL,
	[inr] [nvarchar](3) NULL,
	[blz] [nvarchar](8) NULL,
	[bestandsdatum] [datetime] NULL,
	[kne] [float] NULL,
	[kne_identnr] [nvarchar](8) NULL,
	[kne_wv] [float] NULL,
	[kne_wv_verbnr] [float] NULL,
	[kne_berater] [nvarchar](7) NULL,
	[kne_beruf_branche] [nvarchar](30) NULL,
	[kne_gesamtkreditvolumen] [float] NULL,
	[kne_kreditvolumen_az01] [float] NULL,
	[kne_kreditvolumen_az2] [float] NULL,
	[kne_kreditvolumen_az5] [float] NULL,
	[kne_kreditvolumen_az6] [float] NULL,
	[kne_kreditvolumen_az7] [float] NULL,
	[kne_kreditvolumen_beteiligung] [float] NULL,
	[kne_kreditvolumen_derivate] [float] NULL,
	[kne_kreditvolumen_fw_kredite] [float] NULL,
	[kne_kreditvolumen_geldhandel] [float] NULL,
	[kne_kreditvolumen_so_az9] [float] NULL,
	[kne_kreditvolumen_wertpapiere] [float] NULL,
	[kne_kreditvolumen_wp_leihe] [float] NULL,
	[kne_kreditvolumen_akkreditive] [float] NULL,
	[kne_kreditvolumen_kommunal] [float] NULL,
	[kne_kreditvolumen_kreditkarten] [float] NULL,
	[kne_gesamtkreditvolumen_not] [float] NULL,
	[kne_meta_anteil_kreditvolumen] [float] NULL,
	[kne_meta_anteil_inanspruchnahme] [float] NULL,
	[kne_bewilligungsvolumen_neu] [float] NULL,
	[kn] [float] NULL,
	[kn_identnr] [nvarchar](8) NULL,
	[kn_name] [nvarchar](100) NULL,
	[kn_berater] [nvarchar](7) NULL,
	[kn_wv] [float] NULL,
	[kn_wv_verbnr] [float] NULL,
	[kn_beruf_branche] [nvarchar](30) NULL,
	[kn_wirtschaftszweig] [nvarchar](5) NULL,
	[kn_beruf] [nvarchar](3) NULL,
	[kn_strasse] [nvarchar](30) NULL,
	[kn_haus_nr] [nvarchar](10) NULL,
	[kn_post_erg] [nvarchar](30) NULL,
	[kn_postleit] [nvarchar](6) NULL,
	[kn_ort] [nvarchar](30) NULL,
	[kn_land] [nvarchar](30) NULL,
	[kn_ortskenn] [int] NULL,
	[kn_g_verb_s] [datetime] NULL,
	[kn_gbr_quote] [float] NULL,
	[kn_kundentyp] [nvarchar](3) NULL,
	[kn_o_rechts] [nvarchar](12) NULL,
	[kn_pers_art] [nvarchar](1) NULL,
	[kn_pers_unterart] [nvarchar](12) NULL,
	[kn_rechtl_s] [nvarchar](3) NULL,
	[kn_kz_organ] [nvarchar](2) NULL,
	[kn_kusydsgv] [nvarchar](8) NULL,
	[kn_org_bankgrp_ausl] [nvarchar](1) NULL,
	[kn_org_bankgrp_inl] [nvarchar](3) NULL,
	[kn_org_einlagen_ki_kz] [nvarchar](1) NULL,
	[kn_rating_methode] [nvarchar](2) NULL,
	[kn_rating_note] [nvarchar](8) NULL,
	[kn_rating_status] [nvarchar](2) NULL,
	[kn_rating_ueberschreibung] [nvarchar](1) NULL,
	[kn_rating_kennung_stp] [nvarchar](1) NULL,
	[kn_rating_datum] [datetime] NULL,
	[kn_kl_segment_1] [nvarchar](1) NULL,
	[kn_kl_segment_2] [nvarchar](1) NULL,
	[kn_kl_segment_3] [nvarchar](1) NULL,
	[kn_kl_segment_4] [nvarchar](1) NULL,
	[kn_kl_segment_5] [nvarchar](1) NULL,
	[kn_kl_segment_6] [nvarchar](1) NULL,
	[kn_kl_segment_7] [nvarchar](1) NULL,
	[kn_bonitaet] [nvarchar](3) NULL,
	[kn_risikoklasse] [nvarchar](3) NULL,
	[kn_saldo_umsatzlos] [float] NULL,
	[kn_kz_g_m_kred] [nvarchar](1) NULL,
	[kn_blankokreditvolumen_in] [float] NULL,
	[kn_blankokreditvolumen_wi] [float] NULL,
	[kn_personalkreditvolumen_in] [float] NULL,
	[kn_personalkreditvolumen_wi] [float] NULL,
	[kn_realkreditvolumen_in] [float] NULL,
	[kn_realkreditvolumen_wi] [float] NULL,
	[kn_kommunalkreditvolumen_in] [float] NULL,
	[kn_kommunalkreditvolumen_wi] [float] NULL,
	[kn_freier_anteil_in] [float] NULL,
	[kn_freier_anteil_wi] [float] NULL,
	[kn_wirt_anteil_in] [float] NULL,
	[kn_wirt_anteil_wi] [float] NULL,
	[kn_komp_anteil_in] [float] NULL,
	[kn_komp_anteil_wi] [float] NULL,
	[kn_gesamtkreditvolumen] [float] NULL,
	[kn_bewilligtes_darlehen_az6_neu] [float] NULL,
	[kn_ueberziehung_90] [float] NULL,
	[kn_gutschriftensumme_e_v] [float] NULL,
	[kn_meta_anteil_inanspruchnahme] [float] NULL,
	[kn_meta_anteil_kreditvolumen] [float] NULL,
	[kn_meta_anteil_ueberziehung] [float] NULL,
	[kn_kreditvolumen_derivate] [float] NULL,
	[kn_kreditvolumen_wertpapiere] [float] NULL,
	[kn_kreditvolumen_wp_leihe] [float] NULL,
	[kn_kreditvolumen_geldhandel] [float] NULL,
	[kn_kreditvolumen_fw_kredite] [float] NULL,
	[kn_kreditvolumen_akkreditive] [float] NULL,
	[kn_kreditvolumen_beteiligung] [float] NULL,
	[kn_kreditvolumen_so_az9] [float] NULL,
	[kn_kreditvolumen_kreditkarten] [float] NULL,
	[kn_kreditvolumen_az2] [float] NULL,
	[kn_passiv_az2_3_4_9] [float] NULL,
	[kn_passiv_depot] [float] NULL,
	[kn_bew_rahmen_le] [float] NULL,
	[kn_rueckgabenanzahl] [int] NULL,
	[kn_labile_sicherheiten] [float] NULL,
	[kn_sicherheiten_uebereignung] [float] NULL,
	[kn_zessionen] [float] NULL,
	[kn_buergschaften] [float] NULL,
	[kontonr] [nvarchar](255) NULL,
	[kto_kz_k_s] [nvarchar](1) NULL,
	[kto_geschaeftsart_depot_a] [nvarchar](3) NULL,
	[kto_skontronr] [nvarchar](50) NULL,
	[kto_kontobezeichnung_depot_a] [nvarchar](32) NULL,
	[kto_mahnstand] [nvarchar](1) NULL,
	[kto_gp_key] [nvarchar](1) NULL,
	[kto_gp_variante] [nvarchar](12) NULL,
	[kto_kontentyp] [nvarchar](12) NULL,
	[kto_kreditart] [nvarchar](3) NULL,
	[kto_datum_eroeffnung] [datetime] NULL,
	[kto_gesamtkreditvolumen] [float] NULL,
	[kto_saldo] [float] NULL,
	[kto_inanspruchnahme] [float] NULL,
	[kto_ueberziehung] [float] NULL,
	[kto_externer_kredit] [float] NULL,
	[kto_bewilligungs_datum] [datetime] NULL,
	[kto_befristung_datum] [datetime] NULL,
	[kto_interner_kredit] [float] NULL,
	[kto_interner_kredit_bis] [datetime] NULL,
	[kto_ueberziehung_genehmigt] [float] NULL,
	[kto_ueberziehung_genehmigt_bis] [datetime] NULL,
	[kto_ueberz_hoechste_quartal_1] [float] NULL,
	[kto_ueberz_hoechste_quartal_2] [float] NULL,
	[kto_ueberz_hoechste_quartal_3] [float] NULL,
	[kto_ueberz_hoechste_quartal_4] [float] NULL,
	[kto_ueberziehungstage] [float] NULL,
	[kto_ueberziehungsdatum_ab] [datetime] NULL,
	[kto_ueberziehung_m_ev] [float] NULL,
	[kto_ueberziehung_o_ev] [float] NULL,
	[kto_zinssatz] [float] NULL,
	[kto_ab_merkmal] [int] NULL,
	[kto_kz_notleidend] [nvarchar](1) NULL,
	[kto_mindestr] [nvarchar](1) NULL,
	[kto_kreditkartennummer] [nvarchar](255) NULL,
	[kto_offene_zusage] [float] NULL,
	[kto_bewilligtes_darlehen] [float] NULL,
	[kto_tilgung_3] [float] NULL,
	[kto_tilgung_4_12] [float] NULL,
	[kto_tilgung_13_60] [float] NULL,
	[kto_tilgung_61] [float] NULL,
	[kto_verzug_entgelt] [float] NULL,
	[kto_verzug_verzinslich] [float] NULL,
	[kto_verzug_unverzinslich] [float] NULL,
	[kto_vorauszahlung] [float] NULL,
	[kto_rueckgabenbetrag] [float] NULL,
	[kto_rueckgabenanzahl] [float] NULL,
	[kto_aval_art] [nvarchar](1) NULL,
	[kto_aval_einzelbe] [nvarchar](1) NULL,
	[kto_aval_rahmenkontonr] [float] NULL,
	[kto_avalkred_betrag] [float] NULL,
	[kto_meta_anteil_kreditvolumen] [float] NULL,
	[kto_meta_anteil_inanspruchnahme] [float] NULL,
	[kto_anzahl_sicherheiten] [int] NULL,
	[kto_summe_sicherheiten] [float] NULL,
	[kto_monatliche_Habenumsaetze] [float] NULL,
	[kto_habenumsatz_lfd_jahr] [float] NULL,
	[kto_habenumsatz_vorjahr] [float] NULL,
	[kto_haben_umsatz_vq_1] [float] NULL,
	[kto_haben_umsatz_vq_2] [float] NULL,
	[kto_haben_umsatz_vq_3] [float] NULL,
	[kto_haben_umsatz_vq_4] [float] NULL,
	[kto_verfuegung1] [nvarchar](2) NULL,
	[kto_verfuegung2] [nvarchar](2) NULL,
	[kto_verfuegung3] [nvarchar](2) NULL,
	[kto_verfuegung4] [nvarchar](2) NULL,
	[kto_verfuegung5] [nvarchar](2) NULL,
	[kto_sperr_be] [float] NULL,
	[kto_ewb_e] [float] NULL,
	[kto_ewb_e_datum] [datetime] NULL,
	[kto_ewb_e_jahr] [int] NULL,
	[kto_ewb_e_waehrung] [nvarchar](3) NULL,
	[kto_ewb_e_ermg_verf] [nvarchar](1) NULL,
	[kto_ewb_e_daten_ursprung] [nvarchar](1) NULL,
	[kto_ewb_e_btrg_janf] [float] NULL,
	[kto_ewb_e_btrg_man] [float] NULL,
	[kto_ewb_e_btrg_neu] [float] NULL,
	[kto_ewb_e_btrg_zugang] [float] NULL,
	[kto_ewb_e_btrg_blanko] [float] NULL,
	[kto_ewb_e_afls_btrg] [float] NULL,
	[kto_ewb_e_absg_ind_btrg] [float] NULL,
	[kto_ewb_e_absg_dir_btrg] [float] NULL,
	[kto_ewb_v] [float] NULL,
	[kto_ewb_v_datum] [datetime] NULL,
	[kto_ewb_v_jahr] [int] NULL,
	[kto_ewb_v_waehrung] [nvarchar](3) NULL,
	[kto_ewb_v_ermg_verf] [nvarchar](1) NULL,
	[kto_ewb_v_daten_ursprung] [nvarchar](1) NULL,
	[kto_ewb_v_btrg_janf] [float] NULL,
	[kto_ewb_v_btrg_man] [float] NULL,
	[kto_ewb_v_btrg_neu] [float] NULL,
	[kto_ewb_v_btrg_zugang] [float] NULL,
	[kto_ewb_v_btrg_blanko] [float] NULL,
	[kto_ewb_v_afls_btrg] [float] NULL,
	[kto_ewb_v_absg_ind_btrg] [float] NULL,
	[kto_ewb_v_absg_dir_btrg] [float] NULL,
	[kto_rk_betrag] [float] NULL,
	[kto_rk_offene_zusage] [float] NULL,
	[kto_rk_kz] [nvarchar](12) NULL,
	[kto_rk_ts] [nvarchar](26) NULL,
	[kn_verbund_art] [nvarchar](5) NULL,
	[kn_geko9513_gueltig_ab] [datetime] NULL, 
	[KNE_GEWICHTETE_BONITAET] [nvarchar] (8) NULL, 
	[KN_WARN_1210] [nvarchar] (1) NULL, 
	[KN_WARN_1310] [nvarchar] (1) NULL, 
	[KN_WARN_1425] [nvarchar] (1) NULL, 
	[KN_WARN_1435] [nvarchar] (1) NULL, 
	[KN_WARN_1455] [nvarchar] (1) NULL, 
	[KN_WARN_1510] [nvarchar] (1) NULL, 
	[KN_WARN_1530] [nvarchar] (1) NULL, 
	[KN_WARN_7000] [nvarchar] (1) NULL, 
	[KN_WARN_7001] [nvarchar] (1) NULL, 
	[KN_WARN_7002] [nvarchar] (1) NULL, 
	[KN_WARN_7003] [nvarchar] (1) NULL, 
	[KN_WARN_7004] [nvarchar] (1) NULL, 
	[KN_WARN_7008] [nvarchar] (1) NULL, 
	[KN_WARN_7017] [nvarchar] (1) NULL, 
    [KN_WARN_7021] [nvarchar] (1) NULL, 
	[KN_WARN_7029] [nvarchar] (1) NULL, 
	[KN_WARN_7031] [nvarchar] (1) NULL,
	[KN_KUSYDSGV20] [nvarchar] (15) NULL, 

 CONSTRAINT [PK_##Import] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, 
ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

EXEC spImporttabelleAnlegen
GO

/****** Object:  StoredProcedure [dbo].[spImportanTempImport]    Script Date: 09.04.2018 15:08:09 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


ALTER PROCEDURE [dbo].[spImportanTempImport] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO [##Import]
SELECT     ID, inr, blz, bestandsdatum, kne, kne_identnr, kne_wv, kne_wv_verbnr, kne_berater, kne_beruf_branche, kne_gesamtkreditvolumen, kne_kreditvolumen_az01, 
                      kne_kreditvolumen_az2, kne_kreditvolumen_az5, kne_kreditvolumen_az6, kne_kreditvolumen_az7, kne_kreditvolumen_beteiligung, kne_kreditvolumen_derivate, 
                      kne_kreditvolumen_fw_kredite, kne_kreditvolumen_geldhandel, kne_kreditvolumen_so_az9, kne_kreditvolumen_wertpapiere, kne_kreditvolumen_wp_leihe, 
                      kne_kreditvolumen_akkreditive, kne_kreditvolumen_kommunal, kne_kreditvolumen_kreditkarten, kne_gesamtkreditvolumen_not, kne_meta_anteil_kreditvolumen, 
                      kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, kn, kn_identnr, kn_name, kn_berater, kn_wv, kn_wv_verbnr, kn_beruf_branche, 
                      kn_wirtschaftszweig, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_ort, kn_land, kn_ortskenn, kn_g_verb_s, kn_gbr_quote, kn_kundentyp, 
                      kn_o_rechts, kn_pers_art, kn_pers_unterart, kn_rechtl_s, kn_kz_organ, kn_kusydsgv, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, 
                      kn_rating_methode, kn_rating_note, kn_rating_status, kn_rating_ueberschreibung, kn_rating_kennung_stp, kn_rating_datum, kn_kl_segment_1, kn_kl_segment_2, 
                      kn_kl_segment_3, kn_kl_segment_4, kn_kl_segment_5, kn_kl_segment_6, kn_kl_segment_7, kn_bonitaet, kn_risikoklasse, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, 
                      kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, kn_freier_anteil_in, kn_freier_anteil_wi, kn_wirt_anteil_in, 
                      kn_wirt_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, kn_ueberziehung_90, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_kreditvolumen_derivate, 
                      kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, kn_kreditvolumen_fw_kredite, kn_kreditvolumen_akkreditive, 
                      kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_kreditvolumen_az2, kn_passiv_az2_3_4_9, kn_passiv_depot, 
                      kn_bew_rahmen_le, kn_rueckgabenanzahl, kn_labile_sicherheiten, kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kontonr, kto_kz_k_s, 
                      kto_geschaeftsart_depot_a, kto_skontronr, kto_kontobezeichnung_depot_a, kto_mahnstand, kto_gp_key, kto_gp_variante, kto_kontentyp, kto_kreditart, 
                      kto_datum_eroeffnung, kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_bewilligungs_datum, 
                      kto_befristung_datum, kto_interner_kredit, kto_interner_kredit_bis, kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, 
                      kto_ueberz_hoechste_quartal_2, kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, kto_ueberziehungstage, kto_ueberziehungsdatum_ab, 
                      kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_zinssatz, kto_ab_merkmal, kto_kz_notleidend, kto_mindestr, kto_kreditkartennummer, kto_offene_zusage, 
                      kto_bewilligtes_darlehen, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, kto_tilgung_61, kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, 
                      kto_vorauszahlung, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_avalkred_betrag, 
                      kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_anzahl_sicherheiten, kto_summe_sicherheiten, kto_monatliche_Habenumsaetze, 
                      kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, 
                      kto_verfuegung1, kto_verfuegung2, kto_verfuegung3, kto_verfuegung4, kto_verfuegung5, kto_sperr_be, kto_ewb_e, kto_ewb_e_datum, kto_ewb_e_jahr, 
                      kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, kto_ewb_e_btrg_janf, kto_ewb_e_btrg_man, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, 
                      kto_ewb_e_btrg_blanko, kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_datum, kto_ewb_v_jahr, 
                      kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_janf, kto_ewb_v_btrg_man, kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang, 
                      kto_ewb_v_btrg_blanko, kto_ewb_v_afls_btrg, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_rk_betrag, kto_rk_offene_zusage, kto_rk_kz, kto_rk_ts, 
                      kn_verbund_art, kn_geko9513_gueltig_ab, KNE_GEWICHTETE_BONITAET, KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455 ,
                      KN_WARN_1510 ,KN_WARN_1530 ,KN_WARN_7000 ,KN_WARN_7001 ,KN_WARN_7002 ,KN_WARN_7003 ,KN_WARN_7004 ,KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029,
                      KN_WARN_7031, KN_KUSYDSGV20  

FROM         _tmpImport
END
GO



Update _tabVersion set DBVersion = '7.71', DBDate = '09.04.2018'
GO
