/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerRE]    Script Date: 16.09.2019 14:39:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKreditnehmerRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
                      (SPID, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
                      kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
                      kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
                      kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
                      kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
                      kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
                      kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
                      kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
                      kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
                      kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
                      kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, 
                      KN_GKV_SPK_Bemerkung, 
                      KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, 
                      KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, INR, KN_wirt_anteil_in, 
                      KN_wirt_anteil_wi, KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20 )
SELECT     @SPID, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, 
                      cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), 
                      KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20  
FROM         _tmpAuswahl AS T INNER JOIN
                      tabKN_Risiko AS V ON T.KNEID = V.KNEID and T.spid = v.spid  INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
 Where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate 
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20 
                      END
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerSammel]    Script Date: 16.09.2019 15:05:00 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO



ALTER PROCEDURE [dbo].[spExpKreditnehmerSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
                      (SPID, INR, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
                      kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
                      kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
                      kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
                      kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
                      kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
                      kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
                      kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
                      kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
                      kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
                      kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, KN_GKV_SPK_Bemerkung, 
                      KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, KN_wirt_anteil_in, KN_wirt_anteil_wi, 
                      KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab, KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20)
SELECT     @SPID, KN.INR, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, 
                      KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, 
                      cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031,  KN_KUSYDSGV20 
FROM         _tmpAuswahlEWB AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
 Where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate and T.Auswahl = 1
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031,  KN_KUSYDSGV20 
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerRESammel]    Script Date: 16.09.2019 15:05:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerRESammel]    Script Date: 18.01.2017 17:33:15 ******/

ALTER PROCEDURE [dbo].[spExpKreditnehmerRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
          (SPID, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
          kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
          kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
          kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
          kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
          kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
          kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
          kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
          kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
          kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
          kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
          kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
          kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, 
          KN_GKV_SPK_Bemerkung, 
          KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, 
          KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, INR, KN_wirt_anteil_in, 
          KN_wirt_anteil_wi, KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab,
          KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	      KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20 )
SELECT    @SPID, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
          KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
          KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
          KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
          KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
          KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
          KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
          KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
          KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
          KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
          KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
          KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
          KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
          KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
          KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
          KN.KN_GKV_SPK, 
          cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), 
          KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
          cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
          KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
          KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20  
FROM         _tmpAuswahlEWB AS T INNER JOIN
          tabKN_RisikoSammel AS V ON T.KNEID = V.KNEID and t.spid = v.spid INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
					   Where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate and T.Auswahl = 1 
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20 
                      END
GO

Update _tabVersion set DBVersion = '7.83', DBDate = '16.09.2019'
GO